.main-carousel-container {
    position: relative;
    width: 100%;
}

.main-carousel {
    width: 100%;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    scrollbar-width: none;
}

.main-carousel::-webkit-scrollbar {
    display: none;
}

.shorts-track {
    display: flex;
    gap: 14px;
}

.short-item {
    flex: 0 0 calc(25% - 10px);
    scroll-snap-align: start;
    cursor: pointer;
}

.short-item img {
    width: 100%;
    aspect-ratio: 9/16;
    object-fit: cover;
    border-radius: 12px;
    background: #333;
}

.main-nav-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;
    width: 32px;
    height: 32px;
    background: #EFEFEF;
    color: #0073CF;
    border: 1px solid #EFEFEF;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    transition: background 0.3s;
}

.main-nav-arrow svg {
    width: 24px;
    height: 24px;
}

.main-nav-arrow:hover {
   opacity: 0.7;
}

.main-arrow-prev {
    left: 5px;
}

.main-arrow-next {
    right: 5px;
}

@media (max-width: 700px) {
    .short-item {
        flex: 0 0 calc(100% - 10px);
    }
    .main-arrow-prev {
        left: -5px;
    }
}

.modal-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(4, 19, 29, 0.9);
    z-index: 1000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.modal-overlay.facebook .modal-viewport{
    max-width: 920px;
}
.modal-overlay.facebook .modal-track{
    aspect-ratio: 16/9;
    max-width: 780px;
}
.modal-viewport {
    overflow: hidden;
    border-radius: 15px;
    position: relative;
    width: 100%;
    max-width: 450px;
    margin: auto;
}

.modal-track {
    display: flex;
    transition: transform 0.3s ease;
    width: 80%;
    margin: auto;
    max-width: 380px;
    aspect-ratio: 9 / 16;
}

.modal-slide {
    flex: 0 0 100%;
    aspect-ratio: 9/16;
}

.modal-slide iframe {
    width: 100%;
    height: 100%;
    border: none;
}

.nav-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    background: #EFEFEF;
    color: #0073CF;
    border: 1px solid #EFEFEF;
    cursor: pointer;
    border-radius: 50%;
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    z-index: 100;
}

.modal-arrow-prev {
    left: 0;
}

.modal-arrow-next {
    right: 0;
}

.close-btn {
    position: absolute;
    top: 1px;
    right: 0;
    background: none;
    border: none;
    color: white;
    width: 40px;
    cursor: pointer;
    z-index: 100;
}

.dots-nav {
    display: flex;
    gap: 7px;
    justify-content: center;
    margin-top: 20px;
}

.dot {
    width: 8px;
    height: 8px;
    border: 1px solid rgba(255, 255, 255, 0.5);
    border-radius: 50%;
    cursor: pointer;
}

.dot.active {
    background: white;
}

.arrow-hidden {
    visibility: hidden;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.carousel-container {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    scrollbar-width: none;
}

.carousel-container::-webkit-scrollbar {
    display: none;
}

.arrow-hidden {
    display: none;
}